namespace tmp.cashing.codice
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;

	/// <summary>
	///		Descrizione di riepilogo per seFile.
	/// </summary>
	public class seFile : System.Web.UI.UserControl
	{
		protected System.Web.UI.WebControls.LinkButton LinkButton1;
		protected System.Web.UI.WebControls.Label lblMessaggio;

		DataSet ds = new DataSet();
		string MioPath;


		#region Codice generato da Progettazione Web Form
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: questa chiamata  richiesta da Progettazione Web Form ASP.NET.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Metodo necessario per il supporto della finestra di progettazione. Non modificare
		/// il contenuto del metodo con l'editor di codice.
		/// </summary>
		private void InitializeComponent()
		{    
			this.LinkButton1.Click += new System.EventHandler(this.LinkButton1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Inserire qui il codice utente necessario per inizializzare la pagina.
			MioPath = Server.MapPath("clienti.xml");
			if(!IsPostBack)
			{	
				LeggiDataSet();	
				lblMessaggio.Text = "Elementi in cache " + Cache.Count;
			}
		}


		private void LeggiDataSet()
		{
			if((DataSet)Cache["clienti"] == null)
			{
				ds.ReadXml(MioPath);
				Cache.Insert("clienti",ds,new System.Web.Caching.CacheDependency(MioPath)); 
			}
			ds=(DataSet)Cache["clienti"];
		}

		private void LinkButton1_Click(object sender, System.EventArgs e)
		{
			ds.ReadXml(MioPath); 
			ds.WriteXml(MioPath);
			lblMessaggio.Text = "Elementi in cache " + Cache.Count;
		}
	}
}
